#include <iostream>

using namespace std;
int main(){
    int n;
    cin>>n;
    int a[n];
    for(int i = 0 ; i < n ; i++){
        cin>>a[i];
    }
    bool DaLi = false;
    int mai = 0;
    for(int i = n-1 ; i > -1 ; i--){
        if(DaLi) break;
        else if(a[i]==9) {
            mai = i;
            for(int j = 0 ; j < mai ; j++){
                if(a[j]<9){
                    a[mai] = a[j];
                    a[j] = 9;
                    DaLi = true;
                    break;
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==8) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<8){
                        a[mai] = a[j];
                        a[j] = 8;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
   if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==7) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<7){
                        a[mai] = a[j];
                        a[j] = 7;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==6) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<6){
                        a[mai] = a[j];
                        a[j] = 6;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==5) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<5){
                        a[mai] = a[j];
                        a[j] = 5;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==4) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<4){
                        a[mai] = a[j];
                        a[j] = 4;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==3) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<3){
                        a[mai] = a[j];
                        a[j] = 3;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==2) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<2){
                        a[mai] = a[j];
                        a[j] = 2;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        for(int i = n-1 ; i > -1 ; i--){
            if(DaLi) break;
            else if(a[i]==1) {
                mai = i;
                for(int j = 0 ; j < mai ; j++){
                    if(a[j]<1){
                        a[mai] = a[j];
                        a[j] = 1;
                        DaLi = true;
                        break;
                    }
                }
            }
        }
    }
    if(!DaLi){
        int pom = a[n-2];
        a[n-2] = a[n-1];
        a[n-1] = pom;
    }
    for(int i = 0 ; i < n ; i++){
        cout<<a[i]<<" ";
    }
    return 0;
}